#pragma once
#include "global.h"
class CNewOS : public CDialog
{
	DECLARE_DYNAMIC(CNewOS)
	DECLARE_MESSAGE_MAP()
public:
	CNewOS(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CNewOS();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAINEDITOR_NEWOS };
#endif
	CString outName;
	CString outAuthor;
	CString outFilePath;
	bool load = false;
	void* pMainEditor = nullptr;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
	//控件
	CEdit edit_label;
	CEdit edit_author;
	CEdit edit_dir;
	CButton button_dir;
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedDir();
};

